<?php

use App\TipoPedido;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTipoPedidosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tipo_pedidos', function (Blueprint $table) {
            $table->id();
            $table->string("nombre");
            $table->timestamps();
        });

        $hogar = TipoPedido::firstOrCreate(['nombre' => 'hogar']);

        Schema::table('subpedidos', function (Blueprint $table) use ($hogar) {
            $table->foreignId('tipo_pedido_id')->default($hogar->id);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tipo_pedidos');
        Schema::table('subpedidos', function (Blueprint $table) {
            $table->dropColumn('tipo_pedido_id');
        });
    }
}
